##################################

Submitted by: Parth Patel
M.Tech. CSE, IIT Bombay, 173050032
2017-2019

##################################

Title: Leveraging Alignment and Phonology for low-resource Indic to English Neural Machine Transliteration

==================================
Abstract:
==================================
Machine Transliteration is the conversion of a text from source language script to target language script such that a foreign speaker can enunciate the text as if he were a native speaker. In this dissertation, we take orthographic syllable as a basic unit of transliteration.

In this work, we present a novel transliteration technique based on Orthographic Syllable (OS) segmentation for low-resource Indian languages (ILs). Given that alignment has produced promising results in Statistical Machine Transliteration systems and phonology plays an important role in transliteration, we introduce a new model which uses alignment representation similar to that of IBM model 3 to pre-process the tokenized input sequence and then use pre-trained source and target OS-embeddings for training. We apply our model for transliteration from ILs to English and report our accuracy based on Top-1 Exact Match. We also compare our accuracy with a previously proposed Phrase-Based model and report significant improvements.


##################################

==================================
Contents of the folder:
==================================

1. Documents : contains the documentation of my MTP.
	(a) Manual : contains the USER Manual and the PROGRAMMER's Manual for the systems developed during my MTP
	(b) Papers : contains the literature survey paper, the paper submitted at the EMNLP conference and the papers read during my MTP and seminar.
	(c) Reports : contains all my reports and the literature survey paper prepared during my MTP and seminar.
	(d) Slides : contains slides from my presentations for seminar, stage I and stage II of MTP.

2. Systems: contains the Python Scripts, Datasets Used and models trained for the following :
	Neural Machine Transliteration System - A system that takes source and target language name and a source word as input and outputs transliterated English language word.

3. environment.yml: contains conda environment details needed to clone my conda environment configurations.

4. cd_creater.sh: creates a template READ.ME in every sub-directory upto a depth of 3.

##################################

==================================
parthpatel643@gmail.com
==================================
